commit: 476a5af58cb9094bed845216c7b5883f8e910a14
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 26 06:37:36 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 26 06:38:06 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=476a5af5
dev-python/patiencediff: PEP517, py3.11
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
.../patiencediff/patiencediff-0.2.2-r1.ebuild | 27 ++++++++++++++++++++++
1 file changed, 27 insertions(+)
diff --git a/dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild
b/dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild
new file mode 100644
index 000000000000..0fed7fa1f361
--- /dev/null
+++ b/dev-python/patiencediff/patiencediff-0.2.2-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python implementation of the patiencediff algorithm"
+HOMEPAGE="
+ https://github.com/breezy-team/patiencediff/
+ https://pypi.org/project/patiencediff/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+distutils_enable_tests unittest
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+ eunittest
+}